<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.53</b></p>
<ul class="maxwidth">';

// Augmentation de la taille possible du nom d\'activité (de 20 à 100)
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqactiv MODIFY nom_activ VARCHAR(100)");
echo '<li>Augmentation de la taille possible du nom d\'activité (de 20 à 100).</li>';

// Modification de la colonne de durée de réservation max pour users
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user MODIFY freq_res_dureemax VARCHAR(100)");
echo '<li>Modification de la colonne de durée de réservation max pour users.</li>';

// Modification de la colonne de durée de réservation max pour users
mysqli_query($bdd,"ALTER TABLE ".$prefix."_horaires MODIFY hor_freq VARCHAR(100)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_horaires MODIFY quota_freq VARCHAR(100)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_horaires MODIFY hor_resa VARCHAR(100)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_horaires MODIFY quota_resa VARCHAR(100)");
mysqli_query($bdd,"UPDATE ".$prefix."_horaires SET hor_freq = LPAD(hor_freq, 3, '0')");
mysqli_query($bdd,"UPDATE ".$prefix."_horaires SET quota_freq = LPAD(quota_freq, 3, '0')");
mysqli_query($bdd,"UPDATE ".$prefix."_horaires SET hor_resa = LPAD(hor_resa, 3, '0')");
mysqli_query($bdd,"UPDATE ".$prefix."_horaires SET quota_resa = LPAD(quota_resa, 3, '0')");
echo '<li>Modification des colonnes de gestion des fréquentation et des réservations, et quotas.</li>';

// Option de gestion des fréquentation et des réservations, et quotas, par jour et par créneau
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_gestion_jourscren'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_gestion_jourscren', '0', 'Option de gestion des fréquentation et des réservations, et quotas, par jour et par créneau.')");
}
echo '<li>Option de gestion des fréquentation et des réservations, et quotas, par jour et par créneau (désactivée par défaut).</li>';

// Changement de nom de la colonne css (obsolète) en droits_spe dans _users, et en varchar(30)
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user CHANGE COLUMN css droits_spe VARCHAR(30)");
mysqli_query($bdd,"UPDATE ".$prefix."_user SET droits_spe = '0'");
echo '<li>Changement de nom de la colonne css (obsolète) en droits_spe dans _users, en varchar(30) avec valeur initiale à 0</li>';

// Ajout d'une colonne lang dans _user avec valeur fr
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD COLUMN lang VARCHAR(10)");
mysqli_query($bdd,"UPDATE ".$prefix."_user SET lang = 'fr'");
echo '<li>Ajout d\'une colonne lang dans _user avec valeur fr</li>';

// Ajout d'une colonne lang dans _eleves avec valeur fr
mysqli_query($bdd,"ALTER TABLE ".$prefix."_eleves ADD COLUMN lang VARCHAR(10)");
mysqli_query($bdd,"UPDATE ".$prefix."_eleves SET lang = 'fr'");
echo '<li>Ajout d\'une colonne lang dans _eleves avec valeur fr</li>';

// Mise en valeur 0 des valeurs NULL en espace_id (correctif pour espaces multiples et inscriptions synchrones)
mysqli_query($bdd,"UPDATE ".$prefix."_freq SET espace_id = '0' WHERE espace_id IS NULL");

// Option d'infobulles sur la page de connexion
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_connexion_infobulle'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_connexion_infobulle', '0', 'Option d\'infobulles sur la page de connexion.')");
}
echo '<li>Option d\'infobulles sur la page de connexion (désactivée par défaut).</li>';

// Ajout de notions du Wikinotions
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_savnotions WHERE notion_nom = 'Archives'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_savnotions (notion_id, notion_nom) VALUES ('', 'Archives')");
}
echo '<li>Ajout, pour les séances, de la notion d\'Archives.</li>';

if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_savnotions WHERE notion_nom = 'Intelligence artificielle'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_savnotions (notion_id, notion_nom) VALUES ('', 'Intelligence artificielle')");
}
echo '<li>Ajout, pour les séances, de la notion d\'Intelligence artificielle.</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.53' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.53.</li></ul>';
?>